
From: Adrian Bunk <bunk@stusta.de>

Fix swapped memset() arguments in net/ieee80211/ieee80211_tx.c found by
Maciej Soltysiak.

Patch by Jesper Juhl.

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/ieee80211/ieee80211_tx.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN net/ieee80211/ieee80211_tx.c~net-ieee80211-ieee80211_txc-swapped-memset-arguments net/ieee80211/ieee80211_tx.c
--- 25/net/ieee80211/ieee80211_tx.c~net-ieee80211-ieee80211_txc-swapped-memset-arguments	2005-04-10 15:11:59.000000000 -0700
+++ 25-akpm/net/ieee80211/ieee80211_tx.c	2005-04-10 15:11:59.000000000 -0700
@@ -223,7 +223,7 @@ struct ieee80211_txb *ieee80211_alloc_tx
 	if (!txb)
 		return NULL;
 
-	memset(txb, sizeof(struct ieee80211_txb), 0);
+	memset(txb, 0, sizeof(struct ieee80211_txb));
 	txb->nr_frags = nr_frags;
 	txb->frag_size = txb_size;
 
_
